#
# mailing_utils.py - Functions for oraculum automated email sending
#
# Copyright 2020, Red Hat, Inc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Authors:
#   Frantisek Zatloukal <fzatlouk@redhat.com>

import smtplib, ssl
import email.message

from oraculum import app

# Try to log in to server and send email
def send_mail(message):
    msg = email.message.Message()
    msg['Subject'] = 'Oraculum Failures'
    msg.add_header('Content-Type','text/html')
    msg.set_payload(message)
    # Create a secure SSL context
    context = ssl.create_default_context()
    with smtplib.SMTP(app.config["SMTP_SERVER"], app.config["SMTP_PORT"]) as server:
        server.ehlo()  # Can be omitted
        server.starttls(context=context)
        server.ehlo()  # Can be omitted
        server.login(app.config["SMTP_LOGIN"], app.config["SMTP_PASSWORD"])
        for admin_email in app.config["ADMIN_EMAILS"]:
            server.sendmail(app.config["SMTP_SENDER"], admin_email, msg.as_string())
        server.quit()
