"""WatchDog Table

Revision ID: 02a534c1cf42
Revises: f0b018ebc214
Create Date: 2020-06-30 15:26:58.904242

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '02a534c1cf42'
down_revision = 'f0b018ebc214'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('watch_dog_data',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('kind', sa.String(length=16), nullable=True),
    sa.Column('what', sa.Text(), nullable=True),
    sa.Column('when', sa.DateTime(), nullable=True),
    sa.Column('message', sa.Text(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index('idx_kind', 'watch_dog_data', ['kind'], unique=False, postgresql_ops={'kind': 'text_pattern_ops'})
    op.create_index(op.f('ix_watch_dog_data_kind'), 'watch_dog_data', ['kind'], unique=False)
    op.create_table('watch_dog_start_point',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('last_seen_id', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('watch_dog_start_point')
    op.drop_index(op.f('ix_watch_dog_data_kind'), table_name='watch_dog_data')
    op.drop_index('idx_kind', table_name='watch_dog_data')
    op.drop_table('watch_dog_data')
    # ### end Alembic commands ###
